From 50dfb02352b0f08392cc64000787ae47cc21f020 Mon Sep 17 00:00:00 2001
From: Harald Immerheiser <harald.immerheiser@ruv.de>
Date: Sun, 1 Aug 2021 13:15:17 +0200
Subject: [PATCH] Dirty hack to fix GPDB 6.x support for functions

Warning! This may break something with other server type than gpdb.

It would be better to improve the way how sql_template_path ist set in
	pgadmin4/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/utils.py
	pgadmin4/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
	pgadmin4/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
---
 web/pgadmin/utils/versioned_template_loader.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/web/pgadmin/utils/versioned_template_loader.py b/web/pgadmin/utils/versioned_template_loader.py
index bd0675f..9baa203 100644
--- a/web/pgadmin/utils/versioned_template_loader.py
+++ b/web/pgadmin/utils/versioned_template_loader.py
@@ -91,6 +91,7 @@ def get_version_mapping_directories(server_type):
             {'name': "10_plus", 'number': 100000},
             {'name': "9.6_plus", 'number': 90600},
             {'name': "9.5_plus", 'number': 90500},
+            {'name': "gpdb_6.0_plus", 'number': 90424},
             {'name': "9.4_plus", 'number': 90400},
             {'name': "9.3_plus", 'number': 90300},
             {'name': "9.2_plus", 'number': 90200},
-- 
2.8.0

